close

[Solved] Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK”

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK” in java. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK” Error Occurs?

Today I get the following error Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK” in java.

How To Solve Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK” Error ?

  1. How To Solve Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK” Error ?

    To Solve Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK” Error On Fedora 32, I finally got it working by installing java-11-openjdk java-11-openjdk-devel and setting this configuration in vscode:

  2. Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK”

    To Solve Visual Studio Code showing “Java 11 or more recent is required to run. Please download and install a recent JDK” Error On Fedora 32, I finally got it working by installing java-11-openjdk java-11-openjdk-devel and setting this configuration in vscode:

Solution 1

Change from

"java.home": "/Library/Java/JavaVirtualMachines/adoptopenjdk-8.jdk/Contents/Home"

to

"java.home": "/Library/Java/JavaVirtualMachines/adoptopenjdk-11.jdk/Contents/Home"

and keep the rest of the settings as is.

Solution 2

On Fedora 32, I finally got it working by installing java-11-openjdk java-11-openjdk-devel and setting this configuration in vscode:

"java.home": "/usr/lib/jvm/jre-11-openjdk",

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read

Leave a Comment